.main {
  margin: auto;
}

.main td {
  border: 0px;
}

.main table {
  border: 0px;
}

div.main > div {
  margin-bottom: 5em;
  padding: 1em 3em;
}

.subdiv {
  background: #cce29c;
  border: 1px solid;
  padding: 0.5em;
}

#nsource, #psource, #ksource {
  width: 240px;
}

#phiddencomment {
  color: red;
}

#finalh {
  background: #cce29c;
  border: 2px solid black;
  text-align: center;
}

#finalh2 {
  border: 0px solid black;
}

.right {
  text-align: right;
}

.center {
  text-align: center;
}

#data {
  margin-top: 1em;
}

#data > div,
#data > table {
  margin: auto;
}

div.main label:hover {
  cursor: pointer;
  color: red;
}

div.main table tr {
  vertical-align: bottom;
}

div.main table {
  font-weight: bold;
}

div.main label {
  font-weight: normal;
}

div.main .vmiddle {
  vertical-align: middle;
}

input[type=number] {
  width: 6em;
}

#chooseN {
  width: 3em;
}
